package multinomad.algorithms;

import multinomad.config.Configuration;
import multinomad.config.LoadProperties;
import multinomad.utils.Nomad;

public class SimpleMultiHillClimbers {

	
	public static void main(String[] args) {
		
		LoadProperties lp = new LoadProperties(args,null);
		Configuration.setConfiguration(lp);

		double[] start= {0.5};
		double[] x = callNomadCec2013(start, 0.1, 100); 
				
		System.out.println(x[0]);
		System.out.println(x[1]);
		
	}
	
	public static double[] callNomadCec2013(double[] startPoint, double poll_size, int maxFEs) {

		// start point as string
		String start_point = "(";
		for(int i=0; i<Configuration.f.getDimension();i++) 
			start_point += " "+startPoint[i];
		start_point += " )";
		
		return Nomad.process(Configuration.f.getDimension(), "cec2013.sh", poll_size, start_point, Configuration.nomadLowerBound, Configuration.nomadUpperBound, maxFEs);
	}
}
